#!/bin/sh
#
# This file is covered under the OPENdj Software License.  See the
# LICENSE file at the top level of this package for full details.  A
# copy of the license is also available at:
# http://opendj.org/docs/licenses/LICENSE.opendj
#
# Copyright 2001 DAX Interactive, LLC.
# 

. /etc/opendj/shell.env

if [ -z ${OPENDJ_BASE} ]; then
  echo ""
  echo "OPENDJ_BASE is not set in /etc/opendj/shell.env."
  echo "You should edit /etc/opendj/shell.env and set OPENDJ_BASE "
  echo "to be the dir where the OPENdj system was installed, for example: "
  echo "/usr/local/opendj"
  echo ""
  exit 1
fi

rm -rf $OPENDJ_BASE/deploy
mkdir -p $OPENDJ_BASE/deploy
cd $OPENDJ_BASE/deploy

# Copy the JSP tree from tomcat
cd $OPENDJ_BASE/deploy
mkdir jsp
cp -R $OPENDJ_BASE/web/jsp/* jsp/
rm -rf `find $OPENDJ_BASE/deploy/jsp -type d -name "CVS"`
cd jsp
tar czf ../jsp.tar.gz ./*
cd ..
rm -rf jsp

# Copy the static tree from apache
cp -R $OPENDJ_BASE/web/htdocs htdocs
rm -rf `find $OPENDJ_BASE/deploy/htdocs -type d -name "CVS"`
cd htdocs
tar czf ../htdocs.tar.gz ./*
cd ..
rm -rf htdocs

# Package all the jars
cd $OPENDJ_BASE
tar czf deploy/jars.tar.gz jars

# Package the email templates
cd $OPENDJ_BASE/deploy
cp -R $OPENDJ_RESOURCES/emailtemplates .
rm -rf `find $OPENDJ_BASE/deploy/emailtemplates -type d -name "CVS"`
cd emailtemplates
tar czf ../emailtemplates.tar.gz ./*
cd ..
rm -rf emailtemplates

# Package the site scripts - remove deploy scripts when packaging
cd $OPENDJ_BASE/deploy
cp -R $OPENDJ_RESOURCES/scripts .
rm -rf ./scripts/deploy
rm -rf `find $OPENDJ_BASE/deploy/scripts -type d -name "CVS"`
cd scripts
tar czf ../scripts.tar.gz ./*
cd ..
rm -rf scripts
