#!/usr/bin/tclsh
#
# Licensed under the OPENdj Software License.  See LICENSE file for details.
# Copyright 2001 DAX Interactive, LLC.
# 

set GENRE 0
set MOOD 1
set SHOWNAME 2
set DJNAME 3
set STARTTIME 4
set MINUTES 5
set NUMLISTENERS 6
set KARMA 7
set SHOWFILE 8

set baseDJSQL "INSERT INTO Dj ( email, genre, ipaddr, password, showname, djname, city, state, country, phone, musicdesc ) VALUES ("
set baseArchSQL "INSERT INTO ArchivedShow ( djid, channelid, genre, djmood, starttime, actualstart, endtime, lastaired, numlisteners, numcomments, bitrate, iscompleted, iskeeper, karmaearned, moodval, genreval, djname, showname, showfile, showurl, isrerunnable ) VALUES ( "

set datafile [open [lindex $argv 0]]
set data [split [read $datafile] "\n"]
close $datafile

set allSQL ""
set stop [expr [llength $data] - 1]
for { set i 0 } { $i < $stop } { incr i } {

    set line [split [lindex $data $i] "\t"]

    set genre [lindex $line $GENRE]
    set mood [lindex $line $MOOD]
    set showname [lindex $line $SHOWNAME]
    set djname [lindex $line $DJNAME]
    set starttime [clock scan [lindex $line $STARTTIME]]
    set minutes [lindex $line $MINUTES]
    set numlisteners [lindex $line $NUMLISTENERS]
    set karma [lindex $line $KARMA]
    set showfile [lindex $line $SHOWFILE]

    set showurl "'[string range $showfile [string last "/" $showfile] end]"

    set endtime [expr $starttime + $minutes * 60]

    lappend starttime "000"
    lappend endtime "000"
    set starttime [join $starttime ""]
    set endtime [join $endtime ""]

    if { [expr [string compare $djname "IGNORE"] == 0] } {
        set djid $showname
	set sql "$sql$baseArchSQL $djid, 1, $genre , $mood , $starttime , $starttime , $endtime , $endtime , $numlisteners , 0 , 32 , 1 , 1 , $karma , (SELECT mname FROM mood WHERE mid = $mood) , (SELECT gname FROM genre WHERE gid = $genre) , (SELECT djname FROM dj WHERE djid = $djid), (SELECT showname FROM dj WHERE djid = $djid), $showfile , $showurl , 1 );"
    } else {
	set sql "$baseDJSQL 'rerun$i@opendj.com', $genre , '127.0.0.1', 'nopass', $showname , $djname , 'SF', 'CA', 'US', '123-123-1231', 'X' );\n"
	set sql "$sql$baseArchSQL currval('dj_djid_seq'), 1, $genre , $mood , $starttime , $starttime , $endtime , $endtime , $numlisteners , 0 , 32 , 1 , 1 , $karma , (SELECT mname FROM mood WHERE mid = $mood) , (SELECT gname FROM genre WHERE gid = $genre) , $djname , $showname , $showfile , $showurl , 1 );"
    }

    set allSQL "$allSQL\n$sql"
}

puts $allSQL
